# 생성한 비즈니스 목록 조회 API

플랫폼 서비스에서 생성한 비즈니스 목록을 조회할 수 있도록 API를 제공합니다.

<br>

## `GET` kit-api/v1/business/managing

Method: GET\
Endpoint: kit-api/v1/business/managing

<br>

## Example

```
.../kit-api/v1/business/managing?limit=10&offset=0
```

<br>

## Request Query

| Key    | Description                 | Required |
| ------ | --------------------------- | -------- |
| limit  | 목록 개수 (default 10, max 100) | no       |
| offset | 스킵할 목록 개수                   | no       |

<br>

## Response

```json
{
  "ok": true,
  "data": {
    "total": 2,
    "businessList": [
      {
        "uuid": "686961a8-3975-4ad5-bf4e-134706efee15",
        "name": "홍길동 컴퍼니",
        "registrationNumber": "123-12-12345",
        "ceo": "홍길등",
        "address": null,
        "createdAt": "2024-11-16T04:40:26.298Z",
        "apiKey": "...", // api key
        "customerCustomName": "거래처", // 커스텀 '고객' 명칭
        "users": [
          {
            "name": "홍길동",
            "email": "gildong@prix.im"
          }
        ]
      },
      {
        "uuid": "e790e9a8-a47e-4029-9d6c-e3dfc13fdf74",
        "name": "A에이전시",
        "registrationNumber": null,
        "ceo": null,
        "address": null,
        "createdAt": "2024-09-01T02:42:08.760Z",
        "apiKey": "...", // api key
        "customerCustomName": null,
        "users": [
          {
            "name": "김담당",
            "email": "damdang.kim@prix.im"
          }
        ]
      }
    ]
  }
}
```

```json
{
  "ok": false, // api 실패
  "message": "error message", // Error가 존재하면 message(string)로 전달
  "errorCode": "ERROR_CODE"
}
```

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-kit.prix.im/platform/managed-business.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
